org.apache.jmeter.gui.action

## Class Copy

- java.lang.Object
- - org.apache.jmeter.gui.action.AbstractAction
  - - org.apache.jmeter.gui.action.Copy

All Implemented Interfaces:
  Command

    public class Copy
    extends AbstractAction

Implements the Copy menu command

### Constructor Summary

Constructors
Constructor and Description
`Copy()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static JMeterTreeNode` `cloneTreeNode(JMeterTreeNode node)`
`static JMeterTreeNode[]` `cloneTreeNodes(JMeterTreeNode[] nodes)`
`void` `doAction(ActionEvent e)`
`Set<String>` `getActionNames()`
`static JMeterTreeNode[]` `getCopiedNodes()`
`static void` `setCopiedNodes(JMeterTreeNode[] nodes)`

### Methods inherited from class org.apache.jmeter.gui.action.AbstractAction

`getParentFrame, popupCheckExistingFileListener, popupShouldSave`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Copy

    public Copy()

### Method Detail

#### getActionNames

    public Set<String> getActionNames()

#### doAction

    public void doAction(ActionEvent e)

Specified by:
  `doAction` in interface `Command`
Overrides:
  `doAction` in class `AbstractAction`
See Also:
  `Command.doAction(ActionEvent)`

#### getCopiedNodes

    public static JMeterTreeNode[] getCopiedNodes()

#### cloneTreeNode

    public static JMeterTreeNode cloneTreeNode(JMeterTreeNode node)

#### setCopiedNodes

    public static void setCopiedNodes(JMeterTreeNode[] nodes)

#### cloneTreeNodes

    public static JMeterTreeNode[] cloneTreeNodes(JMeterTreeNode[] nodes)